Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

I tried to watch a movie but the Movie Player won't let me, and a screen popped up saying:

Videos requires to install plugins to play files of the following types: MPEG-1 Layer 3(MP3) decoder, MPEG-4 Video decoder

The pop up won't give me the choice to search for a package like other times and I don't know which to install or what command to use.

share|improve this question

marked as duplicate by Eric Carvalho, Ask, Avinash Raj, Alvar, Amith KK Mar 8 at 17:13

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

    

2 Answers 2

up vote 2 down vote accepted

Try Vlc Player , open terminal :

 sudo apt-get update 

sudo apt-get install vlc
share|improve this answer
    
If I do this, do I still need to keep the Video Player default by Ubunto for some reason? If no, which command can I use to uninstall it? –  Andu Mar 6 at 16:23
    
you can keep it why you want to uninstall it –  nux Mar 6 at 16:24
    
is it okay man , sounds good –  nux Mar 6 at 16:37
    
IT works just fine, thanks for the answer. –  Andu Mar 6 at 16:37
    
welcome my friend any time –  nux Mar 6 at 16:38

as nux suggested you can use vlc. but if you prefer other programs you might need the Ubuntu restricted extras. Install them via the software center or with sudo apt-get install ubuntu-restricted-extras.

share|improve this answer
    
+1 to this - I would recommend doing this as well. –  Mat Nadrofsky Mar 6 at 16:46

Not the answer you're looking for? Browse other questions tagged or ask your own question.